unit uDataModulePedidosMontaje;

interface

uses
  uDAScriptingProvider, uDACDSDataTable, uDABINAdapter, uROServiceComponent,
  uRORemoteService, uROClient, uROBinMessage, uROWinInetHttpChannel,
  Classes, uDADesigntimeCall, DB, uDADataTable,

  uDataModulePedidosProveedor, uIDataModulePedidosMontaje, uBizPedidosMontaje;


type
  TDataModulePedidosMontaje = class(TDataModulePedidosProveedor, IDataModulePedidosMontaje)
  protected
    procedure AsignarClaseNegocio(var APedido: TDACDSDataTable); override;
  public
    function GetItemsMontaje(const ID : Integer) : IBizPedidoMontaje;    
  end;


implementation
{$R *.dfm}

uses SysUtils, cxControls, uDAInterfaces, schPedidosProveedorClient_Intf;

{ TDataModulePedidosMontaje }

procedure TDataModulePedidosMontaje.AsignarClaseNegocio(var APedido: TDACDSDataTable);
begin
  APedido.BusinessRulesID := BIZ_CLIENT_PEDIDO_MONTAJE;
end;

function TDataModulePedidosMontaje.GetItemsMontaje(const ID: Integer): IBizPedidoMontaje;
begin
  ShowHourglassCursor;
  try
    Result := (Self.GetItems as IBizPedidoMontaje);
    with Result.DataTable.Where do
    begin
      if NotEmpty then
        AddOperator(opAND);
      OpenBraket;
      AddText('PEDIDOS_PROVEEDOR.' + fld_PedidosProveedorID_MONTAJE + ' = ' + IntToStr(ID));
      CloseBraket;
    end;
  finally
    HideHourglassCursor;
  end;
end;

end.
